Package org.apache.any23.vocab

## Class FOAF

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.FOAF

-     public class FOAF
      extends Vocabulary

  The Friend Of A Friend vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `accountName` |
    `org.eclipse.rdf4j.model.IRI` | `accountServiceHomepage` |
    `org.eclipse.rdf4j.model.IRI` | `Agent` |
    `org.eclipse.rdf4j.model.IRI` | `aimChatID` |
    `org.eclipse.rdf4j.model.IRI` | `based_near` |
    `org.eclipse.rdf4j.model.IRI` | `birthday` |
    `org.eclipse.rdf4j.model.IRI` | `currentProject` |
    `org.eclipse.rdf4j.model.IRI` | `depiction` |
    `org.eclipse.rdf4j.model.IRI` | `depicts` |
    `org.eclipse.rdf4j.model.IRI` | `dnaChecksum` |
    `org.eclipse.rdf4j.model.IRI` | `Document` |
    `org.eclipse.rdf4j.model.IRI` | `family_name` |
    `org.eclipse.rdf4j.model.IRI` | `firstName` |
    `org.eclipse.rdf4j.model.IRI` | `fundedBy` |
    `org.eclipse.rdf4j.model.IRI` | `geekcode` |
    `org.eclipse.rdf4j.model.IRI` | `gender` |
    `org.eclipse.rdf4j.model.IRI` | `givenname` |
    `org.eclipse.rdf4j.model.IRI` | `Group` |
    `org.eclipse.rdf4j.model.IRI` | `holdsAccount` |
    `org.eclipse.rdf4j.model.IRI` | `homepage` |
    `org.eclipse.rdf4j.model.IRI` | `icqChatID` |
    `org.eclipse.rdf4j.model.IRI` | `Image` |
    `org.eclipse.rdf4j.model.IRI` | `img` |
    `org.eclipse.rdf4j.model.IRI` | `interest` |
    `org.eclipse.rdf4j.model.IRI` | `isPrimaryTopicOf` |
    `org.eclipse.rdf4j.model.IRI` | `jabberID` |
    `org.eclipse.rdf4j.model.IRI` | `knows` |
    `org.eclipse.rdf4j.model.IRI` | `logo` |
    `org.eclipse.rdf4j.model.IRI` | `made` |
    `org.eclipse.rdf4j.model.IRI` | `maker` |
    `org.eclipse.rdf4j.model.IRI` | `mbox` |
    `org.eclipse.rdf4j.model.IRI` | `mbox_sha1sum` |
    `org.eclipse.rdf4j.model.IRI` | `member` |
    `org.eclipse.rdf4j.model.IRI` | `membershipClass` |
    `org.eclipse.rdf4j.model.IRI` | `msnChatID` |
    `org.eclipse.rdf4j.model.IRI` | `myersBriggs` |
    `org.eclipse.rdf4j.model.IRI` | `name` |
    `org.eclipse.rdf4j.model.IRI` | `nick` |
    `static String` | `NS` |
    `org.eclipse.rdf4j.model.IRI` | `OnlineAccount` |
    `org.eclipse.rdf4j.model.IRI` | `OnlineChatAccount` |
    `org.eclipse.rdf4j.model.IRI` | `OnlineEcommerceAccount` |
    `org.eclipse.rdf4j.model.IRI` | `OnlineGamingAccount` |
    `org.eclipse.rdf4j.model.IRI` | `Organization` |
    `org.eclipse.rdf4j.model.IRI` | `page` |
    `org.eclipse.rdf4j.model.IRI` | `pastProject` |
    `org.eclipse.rdf4j.model.IRI` | `Person` |
    `org.eclipse.rdf4j.model.IRI` | `PersonalProfileDocument` |
    `org.eclipse.rdf4j.model.IRI` | `phone` |
    `org.eclipse.rdf4j.model.IRI` | `plan` |
    `org.eclipse.rdf4j.model.IRI` | `primaryTopic` |
    `org.eclipse.rdf4j.model.IRI` | `Project` |
    `org.eclipse.rdf4j.model.IRI` | `publications` |
    `org.eclipse.rdf4j.model.IRI` | `schoolHomepage` |
    `org.eclipse.rdf4j.model.IRI` | `sha1` |
    `org.eclipse.rdf4j.model.IRI` | `surname` |
    `org.eclipse.rdf4j.model.IRI` | `theme` |
    `org.eclipse.rdf4j.model.IRI` | `thumbnail` |
    `org.eclipse.rdf4j.model.IRI` | `tipjar` |
    `org.eclipse.rdf4j.model.IRI` | `title` |
    `org.eclipse.rdf4j.model.IRI` | `topic` |
    `org.eclipse.rdf4j.model.IRI` | `topic_interest` |
    `org.eclipse.rdf4j.model.IRI` | `weblog` |
    `org.eclipse.rdf4j.model.IRI` | `workInfoHomepage` |
    `org.eclipse.rdf4j.model.IRI` | `workplaceHomepage` |
    `org.eclipse.rdf4j.model.IRI` | `yahooChatID` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FOAF` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### topic_interest

          public final org.eclipse.rdf4j.model.IRI topic_interest

    - #### phone

          public final org.eclipse.rdf4j.model.IRI phone

    - #### icqChatID

          public final org.eclipse.rdf4j.model.IRI icqChatID

    - #### yahooChatID

          public final org.eclipse.rdf4j.model.IRI yahooChatID

    - #### member

          public final org.eclipse.rdf4j.model.IRI member

    - #### givenname

          public final org.eclipse.rdf4j.model.IRI givenname

    - #### birthday

          public final org.eclipse.rdf4j.model.IRI birthday

    - #### img

          public final org.eclipse.rdf4j.model.IRI img

    - #### name

          public final org.eclipse.rdf4j.model.IRI name

    - #### maker

          public final org.eclipse.rdf4j.model.IRI maker

    - #### tipjar

          public final org.eclipse.rdf4j.model.IRI tipjar

    - #### membershipClass

          public final org.eclipse.rdf4j.model.IRI membershipClass

    - #### accountName

          public final org.eclipse.rdf4j.model.IRI accountName

    - #### mbox_sha1sum

          public final org.eclipse.rdf4j.model.IRI mbox_sha1sum

    - #### geekcode

          public final org.eclipse.rdf4j.model.IRI geekcode

    - #### interest

          public final org.eclipse.rdf4j.model.IRI interest

    - #### depicts

          public final org.eclipse.rdf4j.model.IRI depicts

    - #### knows

          public final org.eclipse.rdf4j.model.IRI knows

    - #### homepage

          public final org.eclipse.rdf4j.model.IRI homepage

    - #### firstName

          public final org.eclipse.rdf4j.model.IRI firstName

    - #### surname

          public final org.eclipse.rdf4j.model.IRI surname

    - #### isPrimaryTopicOf

          public final org.eclipse.rdf4j.model.IRI isPrimaryTopicOf

    - #### page

          public final org.eclipse.rdf4j.model.IRI page

    - #### accountServiceHomepage

          public final org.eclipse.rdf4j.model.IRI accountServiceHomepage

    - #### depiction

          public final org.eclipse.rdf4j.model.IRI depiction

    - #### fundedBy

          public final org.eclipse.rdf4j.model.IRI fundedBy

    - #### title

          public final org.eclipse.rdf4j.model.IRI title

    - #### weblog

          public final org.eclipse.rdf4j.model.IRI weblog

    - #### logo

          public final org.eclipse.rdf4j.model.IRI logo

    - #### workplaceHomepage

          public final org.eclipse.rdf4j.model.IRI workplaceHomepage

    - #### based_near

          public final org.eclipse.rdf4j.model.IRI based_near

    - #### thumbnail

          public final org.eclipse.rdf4j.model.IRI thumbnail

    - #### primaryTopic

          public final org.eclipse.rdf4j.model.IRI primaryTopic

    - #### aimChatID

          public final org.eclipse.rdf4j.model.IRI aimChatID

    - #### made

          public final org.eclipse.rdf4j.model.IRI made

    - #### workInfoHomepage

          public final org.eclipse.rdf4j.model.IRI workInfoHomepage

    - #### currentProject

          public final org.eclipse.rdf4j.model.IRI currentProject

    - #### holdsAccount

          public final org.eclipse.rdf4j.model.IRI holdsAccount

    - #### publications

          public final org.eclipse.rdf4j.model.IRI publications

    - #### sha1

          public final org.eclipse.rdf4j.model.IRI sha1

    - #### gender

          public final org.eclipse.rdf4j.model.IRI gender

    - #### mbox

          public final org.eclipse.rdf4j.model.IRI mbox

    - #### myersBriggs

          public final org.eclipse.rdf4j.model.IRI myersBriggs

    - #### plan

          public final org.eclipse.rdf4j.model.IRI plan

    - #### pastProject

          public final org.eclipse.rdf4j.model.IRI pastProject

    - #### schoolHomepage

          public final org.eclipse.rdf4j.model.IRI schoolHomepage

    - #### family_name

          public final org.eclipse.rdf4j.model.IRI family_name

    - #### msnChatID

          public final org.eclipse.rdf4j.model.IRI msnChatID

    - #### theme

          public final org.eclipse.rdf4j.model.IRI theme

    - #### topic

          public final org.eclipse.rdf4j.model.IRI topic

    - #### dnaChecksum

          public final org.eclipse.rdf4j.model.IRI dnaChecksum

    - #### nick

          public final org.eclipse.rdf4j.model.IRI nick

    - #### jabberID

          public final org.eclipse.rdf4j.model.IRI jabberID

    - #### Person

          public final org.eclipse.rdf4j.model.IRI Person

    - #### PersonalProfileDocument

          public final org.eclipse.rdf4j.model.IRI PersonalProfileDocument

    - #### Project

          public final org.eclipse.rdf4j.model.IRI Project

    - #### OnlineChatAccount

          public final org.eclipse.rdf4j.model.IRI OnlineChatAccount

    - #### OnlineAccount

          public final org.eclipse.rdf4j.model.IRI OnlineAccount

    - #### Agent

          public final org.eclipse.rdf4j.model.IRI Agent

    - #### Group

          public final org.eclipse.rdf4j.model.IRI Group

    - #### OnlineGamingAccount

          public final org.eclipse.rdf4j.model.IRI OnlineGamingAccount

    - #### OnlineEcommerceAccount

          public final org.eclipse.rdf4j.model.IRI OnlineEcommerceAccount

    - #### Document

          public final org.eclipse.rdf4j.model.IRI Document

    - #### Organization

          public final org.eclipse.rdf4j.model.IRI Organization

    - #### Image

          public final org.eclipse.rdf4j.model.IRI Image

  - ### Method Detail

    - #### getInstance

          public static FOAF getInstance()